低危 freedesktop systemd 不加限制或调节的资源分配

CVE编号

CVE-2021-33910

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-07-21
漏洞描述
basic/unit-name.c in systemd prior to 246.15, 247.8, 248.5, and 249.1 has a Memory Allocation with an Excessive Size Value (involving strdupa and alloca for a pathname controlled by a local attacker) that results in an operating system crash.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop systemd * Up to
(excluding)
246.15
运行在以下环境
应用 freedesktop systemd * From
(including)
247
Up to
(excluding)
247.8
运行在以下环境
应用 freedesktop systemd * From
(including)
248
Up to
(excluding)
248.5
运行在以下环境
应用 freedesktop systemd * From
(including)
249
Up to
(excluding)
249.1
运行在以下环境
系统 centos_8 systemd * Up to
(excluding)
239-45.el8_4.2
运行在以下环境
系统 debian_10 systemd * Up to
(excluding)
241-7~deb10u8
运行在以下环境
系统 debian_9 systemd * Up to
(excluding)
232-25+deb9u13
运行在以下环境
系统 fedora_33 systemd * Up to
(excluding)
246.15-1.fc33
运行在以下环境
系统 fedora_34 systemd * Up to
(excluding)
248.5-1.fc34
运行在以下环境
系统 opensuse_Leap_15.2 systemd * Up to
(excluding)
234-lp152.31.31.1
运行在以下环境
系统 opensuse_Leap_15.3 systemd * Up to
(excluding)
234-24.90.1
运行在以下环境
系统 opensuse_Leap_15.3 systemd * Up to
(excluding)
246.13-7.8.1
运行在以下环境
系统 opensuse_Leap_15.3 systemd * Up to
(excluding)
246.15-7.11.1
运行在以下环境
系统 oracle_8 systemd * Up to
(excluding)
239-45.0.2.el8_4.2
运行在以下环境
系统 redhat_8 systemd * Up to
(excluding)
239-45.el8_4.2
运行在以下环境
系统 suse_12_SP5 systemd * Up to
(excluding)
228-157.30.1
运行在以下环境
系统 ubuntu_16.04 systemd * Up to
(excluding)
229-4ubuntu21.31+esm1
运行在以下环境
系统 ubuntu_18.04 systemd * Up to
(excluding)
237-3ubuntu10.49
运行在以下环境
系统 ubuntu_18.04.5_lts systemd * Up to
(excluding)
237-3ubuntu10.49
运行在以下环境
系统 ubuntu_20.04 systemd * Up to
(excluding)
245.4-4ubuntu3.10
运行在以下环境
系统 ubuntu_21.04 systemd * Up to
(excluding)
247.3-3ubuntu3.4
运行在以下环境
系统 ubuntu_21.10 systemd * Up to
(excluding)
248.3-1ubuntu3
运行在以下环境
系统 ubuntu_22.04 systemd * Up to
(excluding)
248.3-1ubuntu3
运行在以下环境
系统 ubuntu_8 systemd * Up to
(excluding)
239-45.el8_4.2
阿里云评分
3.4
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-770 不加限制或调节的资源分配
阿里云安全产品覆盖情况